Delete SFTP connection
curl --request DELETE \
--url https://api.creditor.younegotiate.com/sftp/{sftpConnection} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/sftp/{sftpConnection}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/sftp/{sftpConnection}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Delete SFTP connection
Delete an SFTP connection profile. Deletion is blocked when header profiles reference the SFTP connection. Deleting the last enabled connection makes the optional setup wizard SFTP step incomplete.
DELETE
/
sftp
/
{sftpConnection}
Delete SFTP connection
Last modified on July 20, 2026
Was this page helpful?
⌘I

